pkgCache::SourceVersion Struct Reference

information for a single version of a source package More...

`#include <apt-pkg/pkgcache.h>`

Collaboration diagram for pkgCache::SourceVersion:
[legend]

## Public Attributes

map_id_t | ID
| unique sequel ID
map_pointer< pkgCache::Group > | Group
| Group the source package belongs too.
map_stringitem_t | VerStr
| complete version string
map_pointer< Version > | VersionList
map_pointer< SourceVersion > | NextSourceVersion
map_pointer< void > | d
| Private pointer.

## Detailed Description

information for a single version of a source package

The version list is always sorted from highest version to lowest version by the generator. Equal version numbers are either merged or handled as separate versions based on the Hash value.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h